### Method

# Camel StoreDB delete_messages

since: 3.58

#### Declaration [src]

    gboolean
    camel_store_db_delete_messages (
      CamelStoreDB* self,
      const gchar* folder_name,
      GPtrArray* uids,
      GError** error
    )

#### Description [src]

Deletes multiple messages with UID `uids` from folder `folder_name`. It’s okay when such `uids` do not exist, but the folder is required to exist.

See also camel_store_db_delete_message().

Available since: 3.58

#### Parameters

`folder_name`

  Type: `const gchar*`

  A folder name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`uids`

  Type: An array of `utf8`

  A `GPtrArray` of strings with message UID-s.

  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.